# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.547   -> 1.548  
#	drivers/usb/storage/unusual_devs.h	1.13    -> 1.14   
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 02/05/13	greg@kroah.com	1.548
# USB sddr55 minor patch to enable a MDSM-B reader
# 
# This was forgotten in the previous sddr55 patch import, and is needed
# to support the MDSM-B reader devices.
# 
# Thanks to Andries.Brouwer@cwi.nl for the 2.4.x version of the patch.
# --------------------------------------------
#
diff -Nru a/drivers/usb/storage/unusual_devs.h b/drivers/usb/storage/unusual_devs.h
--- a/drivers/usb/storage/unusual_devs.h	Mon May 13 15:53:44 2002
+++ b/drivers/usb/storage/unusual_devs.h	Mon May 13 15:53:44 2002
@@ -474,6 +474,15 @@
 		US_FL_MODE_XLATE ),
 #endif
 
+#ifdef CONFIG_USB_STORAGE_SDDR55
+/* Contributed by Peter Waechtler */
+UNUSUAL_DEV( 0x07c4, 0xa103, 0x0000, 0x9999,
+		"Datafab",
+		"MDSM-B reader",
+		US_SC_SCSI, US_PR_SDDR55, NULL,
+		US_FL_FIX_INQUIRY ),
+#endif
+
 /* Casio QV 2x00/3x00/4000/8000 digital still cameras are not conformant
  * to the USB storage specification in two ways:
  * - They tell us they are using transport protocol CBI. In reality they
